> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available carriers in the UK

> List available carriers in the UK.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-requirements.yml get /porting/uk_carriers
openapi: 3.1.0
info:
  title: Telnyx Porting Requirements API
  version: 2.0.0
  description: API for porting requirements, verification, and UK carriers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting/uk_carriers:
    get:
      tags:
        - Porting Orders
      summary: List available carriers in the UK
      description: List available carriers in the UK.
      operationId: listPortingUKCarriers
      responses:
        '200':
          $ref: '#/components/responses/ListPortingUKCarriersResponse'
        '422':
          description: Unprocessable entity. Check message field in response for details.
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.porting.listUkCarriers();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.porting.list_uk_carriers()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Porting.ListUkCarriers(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.porting.PortingListUkCarriersParams;
            import com.telnyx.sdk.models.porting.PortingListUkCarriersResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PortingListUkCarriersResponse response = client.porting().listUkCarriers();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.porting.list_uk_carriers

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->porting->listUkCarriers();

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting list-uk-carriers \
              --api-key 'My API Key'
components:
  responses:
    ListPortingUKCarriersResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingUKCarrier'
  schemas:
    PortingUKCarrier:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 96dfa9e4-c753-4fd3-97cd-42d66f26cf0c
          description: Identifies the UK carrier.
        cupid:
          type: string
          description: >-
            The CUPID of the carrier. This is a 3 digit number code that
            identifies the carrier in the UK.
          example: '895'
        name:
          type: string
          description: The name of the carrier.
          example: Telnyx UK Limited
        alternative_cupids:
          type: array
          description: Alternative CUPIDs of the carrier.
          items:
            type: string
            description: An alternative CUPID of the carrier.
            example: '895'
        record_type:
          type: string
          example: porting_uk_carrier
          description: Identifies the type of the resource.
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````